export const tableList: any[] = [
  {
    selectedDeptId: 23,
    name: 'text',
    database: 'customerdb',
    tableType: 'ORC',
    creationTime: '2019/11/17 10:34:48',
    updateTime: '2019/11/17 11:17:00',
    owner: 'admin',
    sql:
      'CREATE TABLE `customerdb.customertable`{\n' +
      '   `ID` STRING COMMENT `用户ID`NOT NULL,\n' +
      '   `name` VARCHAR(255) COMMENT `姓名`,\n' +
      '} COMMENT `客户信息表`\n' +
      'PARTITIONED BY RANGE {\n' +
      '   `phone` STRING,\n' +
      '   `email` VARCHAR(255),\n' +
      '}\n' +
      'CLUSTERED BY (`ID`) INTO 3 BUCKETS\n' +
      'STORED AS ORC;',
  },
  {
    selectedDeptId: 24,
    name: 'text1',
    database: 'customerdb',
    tableType: 'ORC',
    creationTime: '2019/11/17 10:34:48',
    updateTime: '2019/11/17 11:17:00',
    owner: 'admin',
    sql:
      'CREATE TABLE `customerdb.customertable`{\n' +
      '   `ID` STRING COMMENT `用户ID`NOT NULL,\n' +
      '   `name` VARCHAR(255) COMMENT `姓名`,\n' +
      '} COMMENT `客户信息表`\n' +
      'PARTITIONED BY RANGE {\n' +
      '   `email` VARCHAR(255),\n' +
      '}\n' +
      'CLUSTERED BY (`ID`) INTO 3 BUCKETS\n' +
      'STORED AS ORC;',
  },
  {
    selectedDeptId: 25,
    name: 'text2',
    database: 'customerdb',
    tableType: 'ORC',
    creationTime: '2019/11/17 10:34:48',
    updateTime: '2019/11/17 11:17:00',
    owner: 'admin',
    sql:
      'CREATE TABLE `customerdb.customertable`{\n' + '   `ID` STRING COMMENT `用户ID`NOT NULL,\n',
  },
];

export const fieldConfigurationList: any[] = [
  {
    fieldChineseName: '用户ID',
    fieldEnglishName: 'ID',
    tableType: 'string',
    fieldType: '',
    fieldAccuracy: '',
  },
  {
    fieldChineseName: '姓名',
    fieldEnglishName: 'name',
    tableType: 'varchar',
    fieldType: '255',
    fieldAccuracy: '',
  },
  {
    fieldChineseName: '手机号',
    fieldEnglishName: 'phone',
    tableType: 'string',
    fieldType: '',
    fieldAccuracy: '',
  },
];

export const treeDataList = [
  {
    name: '自助建表文件',
    selectedDeptId: 21,
    children: [{ selectedDeptId: 23 }, { selectedDeptId: 24 }, { selectedDeptId: 25 }],
  },
];
export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    parentWorkSpaceName: '自助建表文件',
    workSpaceName: '自助建表文件',
    parentId: 0,
    'code:': '001',
    ancestors: '0',
    orderNum: 0,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    parentWorkSpaceName: 'test',
    workSpaceName: 'test',
    parentId: 100,
    'code:': '002',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    createBy: 'admin',
  },
];
